package dev.inmo.postssystem.services.posts.client

import dev.inmo.postssystem.features.common.common.SimpleInputProvider
import dev.inmo.postssystem.features.files.common.FileId
import io.ktor.utils.io.core.Input
import kotlinx.serialization.Serializable

@Serializable
internal data class TempFileIdentifierInputProvider(
    private val tempFile: FileId
) : SimpleInputProvider {
    override fun invoke(): Input {
        TODO("Not yet implemented")
    }
}
